Package ru.bitel.bgbilling.modules.bill.server.bean

# Class PositionValue

java.lang.Object
ru.bitel.common.model.ContractId
ru.bitel.bgbilling.modules.bill.server.bean.PositionValue

All Implemented Interfaces:
  `ContractIdable`

Direct Known Subclasses:
  `ExtractorPositionValue`

public class PositionValue extends ContractId

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PositionValue()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigDecimal`
  `getCost()`
  `List<PositionValue>`
  `getExtractPositions()`
  `String`
  `getName()`
  `BigDecimal`
  `getNds()`
  `Map<String,String>`
  `getParams()`
  `Position`
  `getPosition()`
  `int`
  `getPositionId()`
  `int`
  `getQtyNumsAfterComma()`
  `int`
  `getQtyNumsRoundingMode()`
  `BigDecimal`
  `getQuantity()`
  `BigDecimal`
  `getSum()`
  `BigDecimal`
  `getSumScaled()`
  `BigDecimal`
  `getSumUnscaled()`
  `String`
  `getUnit()`
  `String`
  `getUnitCode()`
  `boolean`
  `isAddWhenLessZero()`
  `boolean`
  `isInSumm()`
  `PositionValue`
  `setAddWhenLessZero(boolean awlz)`
  `PositionValue`
  `setContractId(int contractId)`
  `PositionValue`
  `setCost(BigDecimal cost)`
  `PositionValue`
  `setExtractPositions(List<PositionValue> extractPositions)`
  `PositionValue`
  `setInSumm(boolean inSumm)`
  `PositionValue`
  `setName(String name)`
  `PositionValue`
  `setNds(BigDecimal nds)`
  `PositionValue`
  `setParams(Map<String,String> params)`
  `PositionValue`
  `setPosition(Position position)`
  `PositionValue`
  `setPositionId(int positionId)`
  `PositionValue`
  `setQtyNumsAfterComma(int qtyNumsAfterComma)`
  `PositionValue`
  `setQtyNumsRoundingMode(int qtyNumsRoundingMode)`
  `PositionValue`
  `setQuantity(BigDecimal val)`
  `PositionValue`
  `setSum(BigDecimal sum)`
  `PositionValue`
  `setSumScaled(BigDecimal sumRounded)`
  `PositionValue`
  `setSumUnscaled(BigDecimal sumUnscaled)`
  `PositionValue`
  `setUnit(String unit)`
  `PositionValue`
  `setUnitCode(String unitCode)`
  `DocumentPosition`
  `toDocumentPosition()`
  `void`
  `toElement(XMLStreamWriter el)`
  `void`
  `toElement(Element el)`

  ### Methods inherited from class ru.bitel.common.model.ContractId

  `getContractId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PositionValue

    public PositionValue()

- ## Method Details

  - ### getCost

    public BigDecimal getCost()

  - ### getExtractPositions

    public List<PositionValue> getExtractPositions()

  - ### getName

    public String getName()

  - ### getNds

    public BigDecimal getNds()

  - ### getParams

    public Map<String,String> getParams()

  - ### getPosition

    public Position getPosition()

  - ### getPositionId

    public int getPositionId()

  - ### getQtyNumsAfterComma

    public int getQtyNumsAfterComma()

  - ### getQtyNumsRoundingMode

    public int getQtyNumsRoundingMode()

  - ### getQuantity

    public BigDecimal getQuantity()

  - ### getSum

    public BigDecimal getSum()

  - ### getSumScaled

    public BigDecimal getSumScaled()

  - ### getSumUnscaled

    public BigDecimal getSumUnscaled()

  - ### getUnit

    public String getUnit()

  - ### getUnitCode

    public String getUnitCode()

  - ### isAddWhenLessZero

    public boolean isAddWhenLessZero()

  - ### isInSumm

    public boolean isInSumm()

  - ### setAddWhenLessZero

    public PositionValue setAddWhenLessZero(boolean awlz)

  - ### setContractId

    public PositionValue setContractId(int contractId)
    Overrides:
      `setContractId` in class `ContractId`

  - ### setCost

    public PositionValue setCost(BigDecimal cost)

  - ### setExtractPositions

    public PositionValue setExtractPositions(List<PositionValue> extractPositions)

  - ### setInSumm

    public PositionValue setInSumm(boolean inSumm)

  - ### setName

    public PositionValue setName(String name)

  - ### setNds

    public PositionValue setNds(BigDecimal nds)

  - ### setParams

    public PositionValue setParams(Map<String,String> params)

  - ### setPosition

    public PositionValue setPosition(Position position)

  - ### setPositionId

    public PositionValue setPositionId(int positionId)

  - ### setQtyNumsAfterComma

    public PositionValue setQtyNumsAfterComma(int qtyNumsAfterComma)

  - ### setQtyNumsRoundingMode

    public PositionValue setQtyNumsRoundingMode(int qtyNumsRoundingMode)

  - ### setQuantity

    public PositionValue setQuantity(BigDecimal val)

  - ### setSum

    public PositionValue setSum(BigDecimal sum)

  - ### setSumScaled

    public PositionValue setSumScaled(BigDecimal sumRounded)

  - ### setSumUnscaled

    public PositionValue setSumUnscaled(BigDecimal sumUnscaled)

  - ### setUnit

    public PositionValue setUnit(String unit)

  - ### setUnitCode

    public PositionValue setUnitCode(String unitCode)

  - ### toDocumentPosition

    public DocumentPosition toDocumentPosition()

  - ### toElement

    public void toElement(Element el)

  - ### toElement

    public void toElement(XMLStreamWriter el) throws XMLStreamException
    Throws:
      `XMLStreamException`